## Docs Snippets

Snippets for making documenting your code super fun!

#### Installing

run `apm install docs-snippets`

#### Current Support:

- [KSS](https://github.com/kneath/kss)

`kss` completes in `scss`, `css`, and `less` to

```css
// A description of the whole styling group.
//
// :hover             - Subtle hover highlight.
// .class-name        - a class description.
//
// No Styleguide
```

- [Tomdoc](http://tomdoc.org/)

`tom` completes to

```rb
# Public: Duplicate some text an arbitrary number of times.
#
# text  - The String to be duplicated.
# count - The Integer number of times to duplicate the text.
#
# Examples
#
#   multiplex('Tom', 4)
#   # => 'TomTomTomTom'
#
# Returns the duplicated String.
```

- [Hubot Scripts](https://github.com/github/hubot-scripts/)

`hubot` completes in `.coffee` and `.js` to

```coffee
# Description:
#   A description of your Hubot Script
#
# Commands:
#   hubot Your command trigger - Description of what your command does
#
# Author:
#   Your GitHub username
```

```javascript
// Description:
//   A description of your Hubot Script
//
// Commands:
//   hubot Your command trigger - Description of what your command does
//
// Author:
//   Your GitHub username
```
